org.springframework.batch.core.repository.dao

## Class Jackson2ExecutionContextStringSerializer

- java.lang.Object
- - org.springframework.batch.core.repository.dao.Jackson2ExecutionContextStringSerializer

- All Implemented Interfaces:
    ExecutionContextSerializer, org.springframework.core.serializer.Deserializer<java.util.Map<java.lang.String,java.lang.Object>>, org.springframework.core.serializer.Serializer<java.util.Map<java.lang.String,java.lang.Object>>

      public class Jackson2ExecutionContextStringSerializer
      extends java.lang.Object
      implements ExecutionContextSerializer

  Implementation that uses Jackson2 to provide (de)serialization.
  Since:
    3.0.7
  Author:
    Marten Deinum, Mahmoud Ben Hassine
  See Also:
    `ExecutionContextSerializer`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Jackson2ExecutionContextStringSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `deserialize(java.io.InputStream in)`
    `void` | `serialize(java.util.Map<java.lang.String,java.lang.Object> context, java.io.OutputStream out)`
    `void` | `setObjectMapper(com.fasterxml.jackson.databind.ObjectMapper objectMapper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Jackson2ExecutionContextStringSerializer

          public Jackson2ExecutionContextStringSerializer()

  - ### Method Detail

    - #### setObjectMapper

          public void setObjectMapper(com.fasterxml.jackson.databind.ObjectMapper objectMapper)

    - #### deserialize

          public java.util.Map<java.lang.String,java.lang.Object> deserialize(java.io.InputStream in)
                                                                       throws java.io.IOException

      Specified by:
        `deserialize` in interface `org.springframework.core.serializer.Deserializer<java.util.Map<java.lang.String,java.lang.Object>>`
      Throws:
        `java.io.IOException`

    - #### serialize

          public void serialize(java.util.Map<java.lang.String,java.lang.Object> context,
                                java.io.OutputStream out)
                         throws java.io.IOException

      Specified by:
        `serialize` in interface `org.springframework.core.serializer.Serializer<java.util.Map<java.lang.String,java.lang.Object>>`
      Throws:
        `java.io.IOException`